<?php

$segundos = 38500;

$Promedio = $segundos / 60 / 9;

$Horas = intval($Promedio / 60);
$Promedio_Min = intval($Promedio - ($Horas * 60 ));
$Promedio_Sec = ($Promedio - ($Horas * 60 ) - $Promedio_Min ) * 60;

printf( "Promedio: %d\n", $Promedio );
printf( "Horas: %d\n", $Horas );
printf( "Promedio_Min: %d\n", $Promedio_Min );
printf( "Promedio_Sec: %d\n", $Promedio_Sec );

if( $Horas > 0 )
  $Sec = sprintf("%d:%02d:%02d", $Horas, $Promedio_Min, $Promedio_Sec);
else $Sec = sprintf("%d:%02d",$Promedio_Min, $Promedio_Sec);
printf( "Sec: %s\n", $Sec );                        
?>
